#include <bits/stdc++.h>
using namespace std;
int tich(int a)
{
	int p=1;
	for(int i=1; i<=a; i+=2)
	{
		p=p*i;
	}
	return p;
}
int tong(int a)
{
	int p=0;
	for(int i=1; i<=a; i+=2)
	{
		p=p + i;
	}
	return p;
}
int main()
{
	ifstream fi("DQPS.INP");
	ofstream fo("DQPS.OUT");
	int n;
	fi>>n;
	fo<<tich(2*n+1)<<endl;
	fo<<tong(2*n+1);
}
